#include <bits/stdc++.h>

using namespace std;

int main() {
    int a, b, x, y;
    cin >> a >> b >> x >> y;
    if(x == a && y < b) {
        cout << "drugi";
    } else if(x < a && y == b) {
        cout << "prvi";
    } else if(x < a && y < b) {
        cout << "?";
    } else {
        cout << "nijedan";
    }
    return 0;
}